Bug 1003903 - Inaccurate consumer metadata for services with multiple bindings
Inaccurate consumer metadata for services with multiple bindings
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: ER3
: ---
Assigned To: Keith Babo
Jiri Pechanec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 09:14 EDT by Keith Babo
Modified: 2014-06-16 19:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1025 Major Closed Inaccurate consumer metadata for services with multiple bindings 2014-06-16 19:48:23 EDT

  None (edit)
Description Keith Babo 2013-09-03 09:14:31 EDT
When multiple bindings are used on a service, we need to include all binding configs attached to the consumer's service reference.  This allows user code to query the binding metadata using the binding name exchange property to get at the specific binding metadata used on an exchange.
Comment 5 Jiri Sedlacek 2013-10-22 04:01:41 EDT
I've accidentaly changed component, returning to previous state.
Comment 7 Jiri Pechanec 2013-10-22 05:42:54 EDT
Verified in ER6
Comment 8 JBoss JIRA Server 2014-06-16 19:48:23 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1025 to Closed

Note You need to log in before you can comment on or make changes to this bug.